
export function getProperty(target, property) {
    return target[property];
}

export function setProperty(target, property, value) {
    target[property] = value;
}

export function setAttribute(target, property, value) {
    target.setAttribute(property, value)
}

export function getAttribute(target, property) {
    target.getAttribute(property)
}

export function createElement(type) {
    let elmt = document.createElement(type);
    return elmt;
}

export function getIJSObjectReference(target) {
    return target
}

export async function createAndLoadImage(url) {
    return await new Promise(resolve => { 
        const image = new Image();   
   
        image.addEventListener('load', () => {  
            resolve(image);
        });      
        image.src = url;
    });
}

export function registerResizeObserver(target, csObject) {
    new ResizeObserver(() => csObject.invokeMethodAsync('Rescale') ).observe(target)
}


export function preventDefaultEvent(target) {
    target.preventDefault()
}

